ExecutionEnvironmentFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum ExecutionEnvironmentFields

    java.lang.Object
      java.lang.Enum<ExecutionEnvironmentFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.ExecutionEnvironmentFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExecutionEnvironmentFields>

    public enum ExecutionEnvironmentFields

extends java.lang.Enum<ExecutionEnvironmentFields>

Enum Constant Summary
`backend`
`cloud`
`description`
`disclaimer`
`endpoint_url`
`environment`
`logo`
`max_resource`
`policies`
`resource_number`

Method Summary
`static ExecutionEnvironmentFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExecutionEnvironmentFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### environment

    public static final ExecutionEnvironmentFields environment

### resource_number

    public static final ExecutionEnvironmentFields resource_number

### max_resource

    public static final ExecutionEnvironmentFields max_resource

### backend

    public static final ExecutionEnvironmentFields backend

### endpoint_url

    public static final ExecutionEnvironmentFields endpoint_url

### logo

    public static final ExecutionEnvironmentFields logo

### description

    public static final ExecutionEnvironmentFields description

### policies

    public static final ExecutionEnvironmentFields policies

### disclaimer

    public static final ExecutionEnvironmentFields disclaimer

### cloud

    public static final ExecutionEnvironmentFields cloud

Method Detail

### values

    public static ExecutionEnvironmentFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExecutionEnvironmentFields c : ExecutionEnvironmentFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExecutionEnvironmentFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD